# This file simply uses GCtoPandas to load data from the specified URLs. I could not find easily
# the url for before 2008.

from GCtoPandas import toPand

# get the url for each leaderboard and load the DataFrame
year_2016 = 'http://www.golfchannel.com/tours/wgc/2016/wgc-dell-match-play/'
y16 = toPand(year_2016, 2016)
year_2015 = 'http://www.golfchannel.com/tours/wgc/2015/wgc-cadillac-match-play/'
y15 = toPand(year_2015, 2015)
year_2014 = 'http://www.golfchannel.com/tours/wgc/2014/wgc-accenture-match-play-championship/'
y14 = toPand(year_2014, 2014)
year_2013 = 'http://www.golfchannel.com/tours/wgc/2013/wgc-accenture-match-play-championship/'
y13 = toPand(year_2013, 2013)
year_2012 = 'http://www.golfchannel.com/tours/pga-tour/2012/wgc-accenture-match-play-championship/'
y12 = toPand(year_2012, 2012)
year_2011 = 'http://www.golfchannel.com/tours/pga-tour/2011/wgc-accenture-match-play-championship/'
y11 = toPand(year_2011, 2011)
year_2010 = 'http://www.golfchannel.com/tours/pga-tour/2010/wgc-accenture-match-play-championship/'
y10 = toPand(year_2010, 2010)
year_2009 = 'http://www.golfchannel.com/tours/pga-tour/2009/wgc-accenture-match-play-championship/'
y09 = toPand(year_2009, 2009)
year_2008 = 'http://www.golfchannel.com/tours/wgc/2008/wgc-accenture-match-play-championship/'
y08 = toPand(year_2008, 2008)

# Append all the years of data together
data = y16.append(y15, ignore_index=True)
data = data.append(y14, ignore_index=True)
data = data.append(y13, ignore_index=True)
data = data.append(y12, ignore_index=True)
data = data.append(y11, ignore_index=True)
data = data.append(y10, ignore_index=True)
data = data.append(y09, ignore_index=True)
data = data.append(y08, ignore_index=True)


# Write out to csv file so we don't have to scrape all the time
data.to_csv('matchplay-2008-2016.csv', sep=',')


